name: array
version: 0.5.1.1
id: array-0.5.1.1
key: array-0.5.1.1
license: BSD3
maintainer: libraries@haskell.org
synopsis: Mutable and immutable arrays
description:
    In addition to providing the "Data.Array" module
    <http://www.haskell.org/onlinereport/haskell2010/haskellch14.html as specified in the Haskell 2010 Language Report>,
    this package also defines the classes 'IArray' of
    immutable arrays and 'MArray' of arrays mutable within appropriate
    monads, as well as some instances of these classes.
category: Data Structures
exposed: True
exposed-modules:
    Data.Array Data.Array.Base Data.Array.IArray Data.Array.IO
    Data.Array.IO.Safe Data.Array.IO.Internals Data.Array.MArray
    Data.Array.MArray.Safe Data.Array.ST Data.Array.ST.Safe
    Data.Array.Storable Data.Array.Storable.Safe
    Data.Array.Storable.Internals Data.Array.Unboxed Data.Array.Unsafe
abi: 472ca30f6cef38785d9abfc45bfc7dd4
trusted: False
import-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/array-0.5.1.1
library-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/array-0.5.1.1
data-dir: /opt/ghc-8.0.1/share/x86_64-linux-ghc-8.0.1/array-0.5.1.1
hs-libraries: HSarray-0.5.1.1
depends:
    base-4.9.0.0
haddock-interfaces: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/array-0.5.1.1/array.haddock
haddock-html: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/array-0.5.1.1
